Docs

List End Users

See the people using MindCloud Embedded inside your product. Filter by externalId to find someone by your own id.

GET

Query

FiltersNarrow list results with a provider-supported where expression. Learn more
string

RSQL expression used to filter list results.

PaginationRequest a specific window of rows with limit and offset. Learn more
number

Maximum number of rows to return.

number

Number of rows to skip.

SortingChoose the order of returned rows when this action supports sorting. Learn more
string

Comma-separated sort fields; prefix with - for descending.

Field selectionChoose which fields should be included in the response. Learn more
string

Comma-separated response fields to include.

Response fields

idstring

Unique id of the end user. Use it in the end user routes, connect links, and the embedded MCP route.

externalIdstring

Your own id for them, such as the user id in your product.

namestring

Their name.

emailstring

Their email address.

metadataobject

Your values for them, used as credential-exchange host variables. Each value is a host label (letters, digits, hyphens).

createdOndate

When the end user was created.

updatedOndate

When they were last changed.